## aiohttp-mako 1.0.0

=== Makefile ===
# Some simple testing tasks (sorry, UNIX only).

flake:
	pep8 aiohttp_mako tests
	pyflakes aiohttp_mako tests/test_simple_renderer.py


test: flake
	py.test -s -v ./tests/

vtest:
	py.test -s -v ./tests/

cov cover coverage: flake
	py.test -s -v  --cov-report term --cov-report html --cov aiohttp_mako ./tests
	@echo "open file://`pwd`/htmlcov/index.html"

clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -f `find . -type f -name '@*' `
	rm -f `find . -type f -name '#*#' `
	rm -f `find . -type f -name '*.orig' `
	rm -f `find . -type f -name '*.rej' `
	rm -f .coverage
	rm -rf coverage
	rm -rf build
	rm -rf cover

doc:
	make -C docs html
	@echo "open file://`pwd`/docs/_build/html/index.html"

.PHONY: all build venv flake test vtest testloop cov clean doc

## aiohttp-mako 0.0.1

=== debian/changelog ===
aiohttp-mako (0.0.1-1) unstable; urgency=low

  * Initial release (closes: 832978)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 30 Jul 2016 13:26:53 +0000

=== debian/control ===
Source: aiohttp-mako
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               python3-aiohttp,
               python3-all,
               python3-mako (>= 1.0.0),
               python3-setuptools,
               python3-nose,
Standards-Version: 3.9.8
Homepage: https://github.com/aio-libs/aiohttp_mako/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/aiohttp-mako.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/aiohttp-mako.git

Package: python3-aiohttp-mako
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Enhances: python3-aiohttp
Description: mako template renderer for aiohttp.web
 Mako template renderer for aiohttp.web (asyncio HTTP server) based on
 aiohttp_jinja2. Library supports almost same API.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=aiohttp-mako
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aiohttp_mako/aiohttp_mako-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## aiohttp-mako 0.4.0

=== debian/changelog ===
aiohttp-mako (0.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Fri, 17 Sep 2021 00:02:32 -0400

aiohttp-mako (0.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Piotr Ożarowski ]
  * New upstream release
  * Standards-version bumped to 4.5.0 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 16 Mar 2020 12:12:31 +0100

=== debian/control ===
Source: aiohttp-mako
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 9), dh-python,
               python3-aiohttp,
               python3-all,
               python3-mako (>= 1.0.0),
               python3-setuptools,
               python3-nose,
Standards-Version: 4.5.0
Homepage: https://github.com/aio-libs/aiohttp_mako/
Vcs-Git: https://salsa.debian.org/python-team/packages/aiohttp-mako.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/aiohttp-mako

Package: python3-aiohttp-mako
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Enhances: python3-aiohttp
Description: mako template renderer for aiohttp.web
 Mako template renderer for aiohttp.web (asyncio HTTP server) based on
 aiohttp_jinja2. Library supports almost same API.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aiohttp-mako/aiohttp-mako-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## aiohttp-mako 1.0.0

=== debian/changelog ===
aiohttp-mako (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.0
  * Switch watch file to GitHub
  * The new tests need pytest & python3-pytest-aiohttp
  * Use new dh-sequence-python3
  * Set Rules-Requires-Root: no

  [ Joao Nobrega ]
  * Drop python3-nose dependency (Closes: #1018304)
  * Bump Standards Version to 4.7.0 (no changes needed)

  [ Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-mako.
  * Bump debhelper from deprecated 9 to 13.
  * Set upstream metadata fields: Bug-{Database,Submit} Repository-Browse.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 07 Aug 2024 14:55:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,16 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
-Build-Depends: debhelper-compat (= 9), dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                python3-aiohttp,
                python3-all,
-               python3-mako (>= 1.0.0),
+               python3-mako,
+               python3-pytest <!nocheck>,
+               python3-pytest-aiohttp <!nocheck>,
                python3-setuptools,
-               python3-nose,
-Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Homepage: https://github.com/aio-libs/aiohttp_mako/
 Vcs-Git: https://salsa.debian.org/python-team/packages/aiohttp-mako.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/aiohttp-mako

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=aiohttp-mako
%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/aio-libs/aiohttp-mako/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@
